<%-- 
    Document   : index
    Created on : Dec 28, 2015, 1:40:00 PM
    Author     : Sonia Zorba <zorba at oats.inaf.it>
--%>

<%@page import="it.inaf.oats.ia2.tap.tsm.pageutil.InsertCredentials"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>

<%
    String INSERT_CREDENTIALS = "INSERT_CREDENTIALS";

    InsertCredentials insertCredentials;
    Object insertCredentialsObj = session.getAttribute(INSERT_CREDENTIALS);
    if (insertCredentialsObj == null) {
        insertCredentials = new InsertCredentials();
        session.setAttribute(INSERT_CREDENTIALS, insertCredentials);
    } else {
        insertCredentials = (InsertCredentials) insertCredentialsObj;
    }

    insertCredentials.load(request, response);    
    
    System.out.println(insertCredentials.getErrors().size());
%>

<c:set var="submitErrors" value="<%= insertCredentials.getErrors() %>"/>
<c:set var="credentials" value="<%= insertCredentials.getCredentials() %>"/>

<t:basepage title="Credentials">
    <div class="container">
        <div class="col-sm-10 col-sm-offset-1">

            <h1 class="text-center">TapSchema Manager - Credentials insertion page</h1>
            <br/>

            <c:if test="${!submitErrors.isEmpty()}">
                <div class="alert alert-danger">
                    <span class="glyphicon glyphicon-warning-sign"></span>
                    <strong>Errors:</strong>
                    <ul>
                        <c:forEach items="${submitErrors}" var="name">
                            <li><c:out value="${name}"/><p></li>
                            </c:forEach>
                    </ul>
                </div>
            </c:if>

            <div class="panel panel-default">
                <div class="panel-body">
                    <form method="post" id="credentialForm" class="form-horizontal">
                        <div class="form-group">
                            <label for="hostname" class="col-sm-2 control-label">Hostname</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="hostname" name="hostname" value="${credentials.hostname}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="port" class="col-sm-2 control-label">Port</label>
                            <div class="col-sm-10">
                                <input type="number" class="form-control" id="port" name="port" value="${credentials.port}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="username" class="col-sm-2 control-label">Username</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="username" name="username" value="${credentials.username}" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="password" class="col-sm-2 control-label">Password</label>
                            <div class="col-sm-10">
                                <input type="password" class="form-control" id="password" name="password" />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-10">
                                <input class="btn btn-primary" type="submit" value="Submit credentials" />
                            </div>
                        </div>                            
                    </form>
                </div>
            </div>
        </div>
    </div>
</t:basepage>
